0
Answered

problem of upgrade from 2018.05.22 to update versione

Oberdan A 1 year ago updated by Vlad R 1 year ago 9

Hi, I updated from version 2018.05.22 with php7.0 to version 2019.05.21 with php 7.3 but it gave me errors, so I manually downloaded the zip package of version 2019.05.21 and copied it to my version (but first I made the copy of the system/data folder that I did not change) then I also copied the zip file of the latest version, now if I go into software updates it tells me that the current version is that of 2018 although I have the most recent one.
I ask you if I can fix the update problem, and if I need to update the database tables as well, since I only copied the php files of the most recent version.

Qhe I try to update from web interface I got this error : [...]

Then filerune not show anythings on the browser web.

Best Regards Oberdan Albertoni.

Answer

Answer
Answered

The only way to install updates is the one described here: http://docs.filerun.com/updating

If you have manually replaced files in your FileRun application folder you will need to undo all these manual changes, as they are just breaking the installation.

Answer
Answered

The only way to install updates is the one described here: http://docs.filerun.com/updating

If you have manually replaced files in your FileRun application folder you will need to undo all these manual changes, as they are just breaking the installation.

Hi,

I updates from web interface but, now filerune run on php 7.0 and when updates from 2018.11.11/ to 2019.05.21 the update not finish beacuse version 2019.05.21 run only with php ver 7.1 or above.

I first update php from 7.0 to 7.1 and then upgrade filerun but the update stop when che to update database and the apache logs output :

[Tue Jul 23 12:43:29.281623 2019] [proxy_fcgi:error] [pid 22613:tid 140336736134912] [client 83.211.215.139:54322] AH01071: Got error 'PHP message: PHP Fatal error: Uncaught Error: Call to undefined function FileRun\\Utils\\xdebug_get_function_stack() in /www/home_ftp_www/qsa.cavidue.com/sitoweb/system/classes/vendor/FileRun/Utils/DB.php:32\nStack trace:\n#0 /www/home_ftp_www/qsa.cavidue.com/sitoweb/system/data/temp/_unzipped_update/update.php(471): FileRun\\Utils\\DB->query('CREATE TABLE IF...')\n#1 /www/home_ftp_www/qsa.cavidue.com/sitoweb/system/modules/software_update/sections/cpanel/php/install.php(75): unknown()\n#2 /www/home_ftp_www/qsa.cavidue.com/sitoweb/index.php(186): unknown()\n#3 {main}\n thrown in /www/home_ftp_www/qsa.cavidue.com/sitoweb/system/classes/vendor/FileRun/Utils/DB.php on line 32\n', referer: https://qsa.cavidue.com/?module=cpanel&_popup_id=popups_1
[Tue Jul 23 12:47:05.339906 2019] [proxy_fcgi:error] [pid 22613:tid 140336627029760] [client 83.211.215.139:54412] AH01067: Failed to read FastCGI header, referer: https://qsa.cavidue.com/?module=cpanel&_popup_id=popups_1

How can update from version of filerun 2018.11.11 with php 7.0 to filerun 2019.05.21  ?

best regards

2018.11.11 supports up to PHP 7.2. Just upgrade PHP as per this guide: http://docs.filerun.com/php7

Hi,

Hi upgrade php to 7.1 and after filerun from 2018.11.11 to 2019.5.21 but during the upgrade i recieved this error

I must upgrade to 7.2 befor upgrade from 2018 to 2018 filerun ?

Did you replace the FileRun application files after the PHP version upgrade? (As per the guide http://docs.filerun.com/php7)

Yes, I replace filerun application files as the guide ( http://docs.filerun.com/php7 ) after I check for new updates via the web interface and he tells me that I am in the 2018 version and proposes to upgrade to the 2019 version (even if I updated the files by hand as per your guide) at this point the update does not it goes  fine giving error when it tries to update the database and in the apache logs I see the messages that I have put before you.

You need to replace application files from the zip archive of the exact same FileRun version. If you are running 2018.11.11, then you download the zip archive for 2018.11.11 and replace the files with those, not the next version.

Hello,

let me recap so we understand better.

Right now I have filerun 2018.11.11 working on php 7.1.x. I want to upgrade to 2019 and use php 7.3.

What are the right steps to do that since via web interface I get those errors?

[Tue Jul 23 12:43:29.281623 2019] [proxy_fcgi:error] [pid 22613:tid
140336736134912] [client 83.211.215.139:54322] AH01071: Got error 'PHP
message: PHP Fatal error: Uncaught Error: Call to undefined function
FileRun\\Utils\\xdebug_get_function_stack() in
/www/home_ftp_www/qsa.cavidue.com/sitoweb/system/classes/vendor/FileRun/Utils/DB.php:32\nStack
trace:\n#0
/www/home_ftp_www/qsa.cavidue.com/sitoweb/system/data/temp/_unzipped_update/update.php(471):
FileRun\\Utils\\DB->query('CREATE TABLE IF...')\n#1
/www/home_ftp_www/qsa.cavidue.com/sitoweb/system/modules/software_update/sections/cpanel/php/install.php(75):
unknown()\n#2 /www/home_ftp_www/qsa.cavidue.com/sitoweb/index.php(186):
unknown()\n#3 {main}\n thrown in
/www/home_ftp_www/qsa.cavidue.com/sitoweb/system/classes/vendor/FileRun/Utils/DB.php
on line 32\n', referer: https://qsa.cavidue.com/?module=cpanel&_popup_id=popups_1

You mentioned earlier that you were running on PHP 7.0. So you upgraded PHP to 7.1 and the FileRun installation is still working fine. Ok, then you shouldn't need to replace the application files. Something might be failing, as you should technically be able to install updates from the control panel.

I see now that you actually have a FileRun Enterprise license with valid support service. If you e-mail us at tech-support@filerun.com with remote connection information to your FileRun installation folder, we can troubleshoot and fix the problem for you.